=== added file 'Makefile.am'
--- Makefile.am	1970-01-01 00:00:00 +0000
+++ Makefile.am	2009-11-23 18:07:47 +0000
@@ -0,0 +1,1 @@
+SUBDIRS = libubuntuone

=== modified file 'README'
--- README	2009-11-23 16:54:13 +0000
+++ README	2009-11-23 18:07:47 +0000
@@ -1,1 +1,1 @@
-HI!
+This library contains GTK widgets needed for integration of Ubuntu One functionalities into GTK applications

=== added file 'autogen.sh'
--- autogen.sh	1970-01-01 00:00:00 +0000
+++ autogen.sh	2009-11-23 18:07:47 +0000
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="libubuntuone"
+REQUIRED_AUTOMAKE_VERSION=1.6
+
+(test -f $srcdir/configure.ac \
+  && test -d $srcdir/libubuntuone) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+which gnome-autogen.sh || {
+    echo "You need to install gnome-common from the GNOME CVS"
+    exit 1
+}
+USE_GNOME2_MACROS=1 . gnome-autogen.sh

=== added file 'configure.ac'
--- configure.ac	1970-01-01 00:00:00 +0000
+++ configure.ac	2009-11-23 18:07:47 +0000
@@ -0,0 +1,50 @@
+AC_INIT([libubuntuone], [0.0.1], [], [libubuntuone])
+
+AC_PREREQ([2.59])
+
+AC_CONFIG_SRCDIR([Makefile.am])
+
+AM_CONFIG_HEADER([config.h])
+
+AM_INIT_AUTOMAKE([1.6.3 foreign])
+
+AC_GNU_SOURCE
+AC_ENABLE_SHARED
+AC_DISABLE_STATIC
+
+AC_PROG_CC
+AC_PROG_LIBTOOL
+
+dnl Look for needed modules
+PKG_CHECK_MODULES(LIBUBUNTUONE, webkit-1.0)
+AC_SUBST(LIBUBUNTUONE_CFLAGS)
+AC_SUBST(LIBUBUNTUONE_LIBS)
+
+LIBUBUNTUONE_CURRENT=1
+LIBUBUNTUONE_REVISION=0
+LIBUBUNTUONE_AGE=0
+AC_SUBST(LIBUBUNTUONE_CURRENT)
+AC_SUBST(LIBUBUNTUONE_REVISION)
+AC_SUBST(LIBUBUNTUONE_AGE)
+
+##################################################
+# Check for gtk-doc.
+##################################################
+GTK_DOC_CHECK(1.0)
+DISTCHECK_CONFIGURE_FLAGS="--enable-gtk-doc"
+AC_SUBST(DISTCHECK_CONFIGURE_FLAGS)
+
+AC_OUTPUT([
+Makefile
+libubuntuone.pc
+libubuntuone/Makefile
+])
+
+AC_MSG_NOTICE([
+
+ libubuntuone configured:
+ ------------------------
+
+ version: $VERSION
+
+])

=== added directory 'libubuntuone'
=== added file 'libubuntuone.pc.in'
--- libubuntuone.pc.in	1970-01-01 00:00:00 +0000
+++ libubuntuone.pc.in	2009-11-23 18:07:47 +0000
@@ -0,0 +1,11 @@
+prefix=@prefix@
+exec_prefix=${prefix}
+libdir=${exec_prefix}/lib
+includedir=${exec_prefix}/include
+
+Name: libubuntuone
+Description: Widget library for Ubuntu One integration in applications
+Version: @VERSION@
+Libs: -L${libdir} -lubuntuone-1.0
+Cflags: -I${includedir}/libubuntuone-1.0
+Requires: webkit-1.0

=== added file 'libubuntuone/Makefile.am'
--- libubuntuone/Makefile.am	1970-01-01 00:00:00 +0000
+++ libubuntuone/Makefile.am	2009-11-23 18:07:47 +0000
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libubuntuone.la
+
+libubuntuone_la_SOURCES =	\
+	u1-contacts-picker.c	\
+	u1-music-store.c

=== added file 'libubuntuone/u1-contacts-picker.c'
--- libubuntuone/u1-contacts-picker.c	1970-01-01 00:00:00 +0000
+++ libubuntuone/u1-contacts-picker.c	2009-11-23 18:07:47 +0000
@@ -0,0 +1,20 @@
+/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
+/*
+ * Copyright (C) 2009 Canonical Services Ltd (www.canonical.com)
+ *
+ * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of version 2 of the GNU Lesser General Public
+ * License as published by the Free Software Foundation.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this library; if not, write to the
+ * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+ * Boston, MA 02110-1301, USA.
+ */

=== added file 'libubuntuone/u1-music-store.c'
--- libubuntuone/u1-music-store.c	1970-01-01 00:00:00 +0000
+++ libubuntuone/u1-music-store.c	2009-11-23 18:07:47 +0000
@@ -0,0 +1,20 @@
+/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
+/*
+ * Copyright (C) 2009 Canonical Services Ltd (www.canonical.com)
+ *
+ * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of version 2 of the GNU Lesser General Public
+ * License as published by the Free Software Foundation.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this library; if not, write to the
+ * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+ * Boston, MA 02110-1301, USA.
+ */

